Subject: Re: [Sip] Some Comments: WGLC of draft-ietf-sip-hitchhikers-guide-03

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 14 Nov 2007 18:22:17 -0500

OK, I took this wording. RFC 4588 got added also per other comments, and 
appears in the service URI section.

-Jonathan R.

Mary Barnes wrote:
> I like the suggested rewording for RFC 4244 and agree that RFC 4458
> would fit well in the Service URI section.
> 
> Mary. 
> 
> -----Original Message-----
> From: Audet, Francois (SC100:3055) 
> Sent: Wednesday, October 24, 2007 6:35 PM
> To: Barnes, Mary (RICH2:AR00); Jonathan Rosenberg
> Cc: [email-masked]; DRAGE, Keith (Keith)
> Subject: RE: [Sip] Some Comments: WGLC of
> draft-ietf-sip-hitchhikers-guide-03
> 
> Mary has a good point, but I think an even simpler solution is the
> following:
> 
> NEW:
> 
>  RFC 4244, An Extension to SIP for Request History Information (S):
>        RFC 4244 [37] defines the History-Info header field, which
>        indicates information on how and why a call came to be routed to
> a
>        particular destination.   
> 
> As for RFC 4458, I think it belongs int the "SIP Service URIs" section
> and maybe the PSTN interop one (it's really a form of RFC 3087 service
> URI for PSTN interop).
> 
>> -----Original Message-----
>> From: Barnes, Mary (RICH2:AR00)
>> Sent: Wednesday, October 24, 2007 08:20
>> To: Jonathan Rosenberg
>> Cc: [email-masked]; DRAGE, Keith (Keith)
>> Subject: [Sip] Some Comments: WGLC of
>> draft-ietf-sip-hitchhikers-guide-03
>>
>>
>> Following Keith's recommendation for us to at least review the entries
> 
>> for the RFCs that we authored, I have some feedback on the entry for 
>> RFC
>> 4244 (History-Info) and a few other comments.  
>>
>> RFC 4244 comments (Section 5):
>> ------------------------------
>> The statement about the primary application being voicemail is a 
>> mis-characterization and is based on the fact that we had so, so many 
>> long, long discussions on the use of History-Info for voicemail. RFC
>> 4244 is written to provide a very general mechanism and is applicable 
>> to a variety of applications. My concern is that mis-characterization 
>> may result in folks trying to define something new when the capability
> 
>> already exists with History-Info (e.g., 3GPP p-served-user p-header).
>> So, I suggest something like the following change:
>>
>> OLD:
>> RFC 4244, An Extension to SIP for Request History Information (S):
>>       RFC 4244 [37] defines the History-Info header field, which
>>       indicates information on how a call came to be routed to a
>>       particular destination.  Its primary application was in support 
>> of
>>       voicemail services.
>>
>> NEW:
>> RFC 4244, An Extension to SIP for Request History Information (S):
>>       RFC 4244 [37] defines the History-Info header field, which
>>       indicates information on how and why a call came to be routed to
> 
>> a
>>       particular destination.  One application was in support of
>>       voicemail services, with details of such provided in RFC 4458.
>>       Other example applications include Automatic Call Distribution
>>       and Call Transfer scenarios. 
>>
>> And, this of course, adds a reference to RFC 4458. I don't have a 
>> strong opinion as to whether detail on that RFC shouldn't be included 
>> elsewhere
>> in this document.   
> 

-- 
Jonathan D. Rosenberg, Ph.D.                   499 Thornall St.
Cisco Fellow                                   Edison, NJ 08837
Cisco, Voice Technology Group
[email-masked]
http://www.jdrosen.net                         PHONE: (408) 902-3084
http://www.cisco.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip